%define major   0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname -d %{name}

Summary:        Raptor RDF Parser Toolkit for Redland
Name:           raptor2
Version:        2.0.7
Release:        %mkrel 1
License:        GPLv2 LGPLv2
Group:          Development/Other
Source:         http://librdf.org/dist/source/%{name}-%{version}.tar.gz
URL:            http://librdf.org/raptor/

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:	icu-devel
Conflicts:      raptor < 2.0.0

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor2.3*
%{_bindir}/rapper
%{_datadir}/gtk-doc/html/raptor2

#--------------------------------------------------------------------
%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%files -n %libname
%{_libdir}/libraptor2.so.%{major}*

#--------------------------------------------------------------------
%package -n	%{develname}
Summary:        Header files and static libraries from %name
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %develname
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%{_includedir}/raptor2/

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x --disable-static --with-icu-config=%{_bindir}/icu-config
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la


%changelog

* Sat Mar 24 2012 fwang <fwang> 2.0.7-1.mga2
+ Revision: 226006
- specify icu-config path
- new version 2.0.7

* Thu Dec 01 2011 fwang <fwang> 2.0.6-1.mga2
+ Revision: 174694
- new version 2.0.6

* Sat Nov 19 2011 fwang <fwang> 2.0.5-1.mga2
+ Revision: 169377
- update file list
- update file list
- new version 2.0.5

  + mikala <mikala>
    - Use pkgconfig() for BR
    - remove %%defattr()
    - fix license tag
    - fix rpmlint warning regarding tabs & space

  + ze <ze>
    - version 2.0.4
    - avoid useless macros
    - list files for a proper uninstall
    - arrange spec

* Sat Jul 16 2011 dmorgan <dmorgan> 2.0.3-2.mga2
+ Revision: 124570
- Do not ship la filese

* Fri Jul 15 2011 kharec <kharec> 2.0.3-1.mga2
+ Revision: 124529
- fix file list
- imported package raptor2

